# pspusbstor.h File Reference

Go to the source code of this file.

## Defines

#define | PSP_USBSTOR_DRIVERNAME "USBStor_Driver"

## Functions

int | sceUsbstorBootRegisterNotify (u32 eventFlag)
| Register an eventFlag to send notifications to.
int | sceUsbstorBootUnregisterNotify (u32 eventFlag)
| Unregister a previously registered eventFlag.
int | sceUsbstorBootSetCapacity (u32 size)
| Tell the USBstorBoot driver the size of MS.

## Define Documentation

#define PSP_USBSTOR_DRIVERNAME "USBStor_Driver"

## Function Documentation

int sceUsbstorBootRegisterNotify | ( | u32 | eventFlag | ) |

Register an eventFlag to send notifications to.

Parameters:

  | eventFlag | - eventFlag created with sceKernelCreateEventFlag

Returns:
  0 on success

int sceUsbstorBootSetCapacity | ( | u32 | size | ) |

Tell the USBstorBoot driver the size of MS.

Note:
  I'm not sure if this is the actual size of the media or not as it seems to have no bearing on what size windows detects. PSPPET passes 0x800000

Parameters:

  | size | - capacity of memory stick

Returns:
  0 on success

int sceUsbstorBootUnregisterNotify | ( | u32 | eventFlag | ) |

Unregister a previously registered eventFlag.

Parameters:

  | eventFlag | - eventFlag created with sceKernelCreateEventFlag

Returns:
  0 on success